rte_port_source_params(3)

NAME
rte_port_source_params

SYNOPSIS

#include <rte_port_source_sink.h>

  Data Fields

struct rte_mempool * mempool
const char * file_name
uint32_t n_bytes_per_pkt

Detailed Description

source port parameters

Definition at line 23 of file rte_port_source_sink.h.

Field Documentation

  struct rte_mempool* mempool
Pre-initialized buffer pool

Definition at line 25 of file rte_port_source_sink.h.

  const char* file_name
The full path of the pcap file to read packets from

Definition at line 28 of file rte_port_source_sink.h.

  uint32_t n_bytes_per_pkt
The number of bytes to be read from each packet in the pcap file. If this value is 0, the whole packet is read; if it is bigger than packet size, the generated packets will contain the whole packet

Definition at line 33 of file rte_port_source_sink.h.

Author

Generated automatically by Doxygen for DPDK from the source code.